/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct Invoice {
    #[serde(rename = "id", skip_serializing_if = "Option::is_none")]
    pub id: Option<String>,
    #[serde(rename = "number", skip_serializing_if = "Option::is_none")]
    pub number: Option<String>,
    #[serde(rename = "create_at", skip_serializing_if = "Option::is_none")]
    pub create_at: Option<i64>,
    #[serde(rename = "total", skip_serializing_if = "Option::is_none")]
    pub total: Option<i64>,
    #[serde(rename = "tax", skip_serializing_if = "Option::is_none")]
    pub tax: Option<i64>,
    #[serde(rename = "status", skip_serializing_if = "Option::is_none")]
    pub status: Option<String>,
    #[serde(rename = "period_start", skip_serializing_if = "Option::is_none")]
    pub period_start: Option<i64>,
    #[serde(rename = "period_end", skip_serializing_if = "Option::is_none")]
    pub period_end: Option<i64>,
    #[serde(rename = "subscription_id", skip_serializing_if = "Option::is_none")]
    pub subscription_id: Option<String>,
    #[serde(rename = "item", skip_serializing_if = "Option::is_none")]
    pub item: Option<Vec<crate::openapi::models::InvoiceLineItem>>,
}

impl Invoice {
    pub fn new() -> Invoice {
        Invoice {
            id: None,
            number: None,
            create_at: None,
            total: None,
            tax: None,
            status: None,
            period_start: None,
            period_end: None,
            subscription_id: None,
            item: None,
        }
    }
}
